package com.kamco.cd.kamcoback.postgres.repository.scene;

import com.kamco.cd.kamcoback.common.enums.CommonUseStatus;
import com.kamco.cd.kamcoback.postgres.entity.MapInkx5kEntity;
import com.kamco.cd.kamcoback.scene.dto.MapInkxMngDto;
import com.kamco.cd.kamcoback.scene.dto.MapInkxMngDto.MapList;
import java.util.List;
import java.util.Optional;
import org.springframework.data.domain.Page;

public interface MapInkx5kRepositoryCustom {

  List<MapInkx5kEntity> listGetScenes5k(List<String> codes);

  Page<MapList> findMapInkxMngList(
      MapInkxMngDto.searchReq searchReq, CommonUseStatus useInference, String searchVal);

  Long findByMapidCdNoExists(String mapidcdNo);

  Optional<MapInkx5kEntity> findByMapidCdNoInfo(String mapidcdNo);
}
